/*------------------------------- Body ------------------------------- */
body {
    background: url("../media/Group12.png") center no-repeat, url("../media/Vector.png") 90% 30% no-repeat, url("../media/Vector.png") 10% 60% no-repeat;
    background-color: rgba(242, 242, 242, 1);
    font-family: Inter, serif;
    margin: 0;
    padding: 0;
}

/*------------------------------- Container ------------------------------- */
.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}

.row {
    margin-right: 5px;
    margin-left: 5px;
}

/*------------------------------- Typo ------------------------------- */

.title {
    color: #5E00A9;
    text-align: center;
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Inter, serif;
    font-size: 50px;
    font-style: normal;
    font-weight: 700;
    line-height: 68px;
    margin: auto;
}

.title-text {
    color: var(--Dark-Dark-1, #343D42);
    text-align: justify;
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Inter, serif;
    font-size: 21px;
    font-style: normal;
    font-weight: 500;
    line-height: 30px;
    margin: 2%;
}

/*------------------------------- Infos centre ------------------------------- */
.jumbotron {
    line-height: 30px;
    background-color: white;
    color: var(--Dark-Dark-1, #343D42);
    font-feature-settings: 'clig' off, 'liga' off;
    font-size: 17px;
    padding: 1.5rem;
    border-radius: 10px;
    margin-bottom: 20px;
}

.center-info {
    display: flex;
}

.info-container {
    padding: 0%;
    align-self: center;
}

/* Par défaut : pour les écrans extra small et small, ne pas afficher le logo du centre */
.image-container {
    display: none !important;
}

.info-row {
    display: flex;
    justify-content: space-between;
    margin-bottom: 0.5rem;
    text-align: left;
    word-break: break-word;
}

.info-label {
    width: 110px !important;
    align-self: start;
    font-weight: bold;
}

.info-value {
    flex: 1;
    color: rgba(0, 0, 0, 0.947);
}

/*---------------------------------------------------------------------------------- */
p {
    word-wrap: break-word;
    hyphens: auto;
    white-space: normal;
    margin-bottom: 10px;
}

.for-patient {
    border: 1px dashed #999;
    color: #999;
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Inter, serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 25px;
}

.to-fill {
    padding-bottom: 20px;
}

.to-fill h3 {
    color: #626B6F;
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Inter, serif;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 28px;
    padding-bottom: 15px;
}

.to-fill p {
    color: var(--Dark-Dark-2, #586166);
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Inter, serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 22px;
    border-bottom: solid black 1px;
    padding-bottom: 30px;
}

/*------------------------------- Cards ------------------------------- */

.cards-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    margin-top: 20px;
}

.card-container {
    text-align: center;
    background-color: #f9f9f9;
    border-radius: 10px;
    padding: 20px;
    width: 100%;
    box-sizing: border-box;
    font-size: 0.8em;
    line-height: 15px;
}

.icon-container {
    text-align: center;
    margin-bottom: 15px;
}

.icon-container img,
.icon-container i {
    font-size: 30px;
    color: #2e056a;
}

.item-title {
    margin-bottom: 15px;
    margin-top: 15px;
    font-size: 16px;
}

.item-value {
    color: #333;
    font-weight: bold;
    margin-bottom: 5px;
    font-size: 16px;
}

.item-description {
    font-size: 15px;
    color: #666;
    background-color: #e9e9e9;
    border-radius: 6px;
    padding: 10px;
    margin-top: 10px;
}

.caracteristiques-title {
    margin-bottom: 30px;
}

.caracteristiques-title h2 {
    color: #333;
    font-weight: bold;
    font-size: 25px;
}

.caracteristiques-title p {
    color: #666;
    font-size: 16px;
}

.caracteristiques-list {
    list-style: none;
    padding-left: 0;
    text-align: center;
    margin-top: 10px;
}

.caracteristiques-list li {
    background-color: #e9e9e9;
    border-radius: 6px;
    padding: 5px 10px;
    margin-bottom: 5px;
    font-size: 0.9em;
    display: inline-block;
    margin-right: 5px;
    margin-left: 5px;
    width: 70%;
}

.middle {
  margin: 40px auto 0;
}

.logo{
  width: 600px;
}

.logo img{
  width: 600px;
}


/*------------------------------- Declaration ------------------------------- */

.declaration {
    margin-top: 2%;
    background-color: white;
    border-radius: 4px;
    color: var(--Dark-Dark-1, #343D42);
    font-size: 18px;
    line-height: 22px;
    border: solid 1px #0000004a;
    padding: 15px;
    margin-bottom: 1%;
}

/*------------------------------- Signature ------------------------------- */

.signature-section {
    display: flex;
    justify-content: flex-end;
    width: 100%;
    box-sizing: border-box;
}

.signature-container {
    width: 100%;
    padding-right: 0;
    padding-left: 0;
    box-sizing: border-box;
}

.signature-text {
    margin-bottom: 10px;
    color: var(--Dark-Dark-2, #586166);
    font-weight: 700;
    text-align: left;
}

.signature-rectangle {
    height: 80px;
    border: 2px solid #00000082;
    border-radius: 6px;
    width: 100%;
}

/*------------------------------- Boutons ------------------------------- */

.btn {
    background-color: #5E00A9 !important;
    border-color: #5E00A9 !important;
}

.btn:hover {
    text-decoration: none;
    background: #550495 !important;
    cursor: pointer;
    transition: background 0.3s ease;
}

.btn:focus-visible {
    outline: 3px solid #000;
    outline-offset: 2px;
}

.btn:active {
    background: #5E00A9 !important;
    transition: background 0.1s ease;
}

.button-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.button-container .btn {
    margin: 0 10px;
}

.html2pdf__page-break { display: none;}
/*------------------------------- Footer ------------------------------- */

.footer {
    display: inherit;
    justify-content: center;
    align-items: center;
    min-height: 3vh;
}

.bottom-right {
    position: absolute;
    right: 15px;
    font-size: 18px;
    color: var(--Dark-Dark-1, #343D42);
    margin-bottom: 0%;
}

/*------------------------------- Media Queries----------------------------- */

@media print {
    .no-print {
        display: none;
    }
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {

    .title {
        font-size: 28px;
    }

    .title-text {
        font-size: 18px;
        text-align: justify;
        line-height: 25px;
    }

    .caracteristiques-title h2 {
        font-size: 23px;
    }

    .caracteristiques-title p {
        font-size: 16px;
    }
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {

    .title {
        font-size: 35px;
    }

    .title-text {
        font-size: 18px;
        text-align: justify;
        line-height: 25px;
    }

    .caracteristiques-title h2 {
        font-size: 23px;
    }

    .caracteristiques-title p {
        font-size: 16px;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
    .title {
        font-size: 40px;
    }

    .info-center {
        display: flex !important;
    }

    .title-text {
        font-size: 21px;
        text-align: justify;
        line-height: 28px;
    }

    .info-container {
        align-self: center;
        width: 70%;
    }

    .image-container {
        display: flex !important;
        justify-content: flex-end;
        align-self: center;
        width: 30%;
    }

    .caracteristiques-list li {
        width: 70%;
    }

    #medicaments.caracteristiques-list li {
        width: 70%;
    }

    .signature-container {
        width: 40%;
    }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {

    .title {
        font-size: 50px;
    }

    .title-text {
        font-size: 21px;
        text-align: center;
        line-height: 30px;
    }

    .bottom-right {
        font-size: 20px;
    }

    .caracteristiques-list li {
        width: 70%;
    }

    #medicaments.caracteristiques-list li {
        width: 40%;
    }

    .signature-container {
        width: 40%;
    }

    .card-container.traitements {
        grid-column: auto / span 2;
    }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {

    .title {
        font-size: 50px;
    }

    .title-text {
        font-size: 21px;
        text-align: center;
        line-height: 30px;
    }

    .bottom-right {
        font-size: 20px;
    }

    .caracteristiques-list li {
        width: 70%;
    }

    #medicaments.caracteristiques-list li {
        width: 40%;
    }

    .signature-container {
        width: 40%;
    }

    .card-container.traitements {
        grid-column: auto / span 2;
    }
}
